/* BLOCK: Hero Banner Support */

.block-hero-banner-support .text-wrapper {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    gap: 3.125rem;
}

.block-hero-banner-support .post__tags {
    display: flex;
    align-items: center;
    gap: 0.75rem;
}

.block-hero-banner-support .post__tag {
    font-size: var(--font-13-11);
    font-weight: 600;
    background-color: var(--c-bg-light-tint-1);
    color: var(--c-primary);
    padding: 0.625rem 0.75rem;
    border-radius: 0.5rem;
}

.block-hero-banner-support .post__title {
    max-width: 58.6rem;
}

.block-hero-banner-support .post__meta {
    display: flex;
    align-items: baseline;
    gap: 0.9375rem;
    font-size: var(--font-15-11);
    font-weight: 600;
}

.block-hero-banner-support .post__author {
    color: var(--c-tertiary);
}

.block-hero-banner-support .image-wrapper {
    margin-top: 6.25rem;
    position: relative;
    border-radius: 1.5625rem;
    overflow: clip;
}

.block-hero-banner-support .image-wrapper::after {
    content: '';
    position: absolute;
    inset: 0;
    pointer-events: none;
    background-color: rgb(from var(--c-text-dark) r g b / 0.1);
    mix-blend-mode: multiply;
}

.block-hero-banner-support .post__image {
    width: 100%;
    aspect-ratio: 16 / 9;
    object-fit: cover;
}

@media screen and (width <= 620px) {
    .block-hero-banner-support .text-wrapper {
        gap: 1.875rem;
    }
    .block-hero-banner-support .post__tag {
        padding: 0.375rem 0.5rem;
    }
    .block-hero-banner-support .post__meta {
        gap: 0.75rem;
    }
    .block-hero-banner-support .image-wrapper {
        margin-top: 3.125rem;
        border-radius: 1.125rem;
    }
    .block-hero-banner-support .post__image {
        aspect-ratio: 1.52;
    }
}